# ThreadException Class Reference

Inherits Exception.

List of all members.

## Public Member Functions

| ThreadException (log4cxx_status_t stat)
| ThreadException (const LogString &msg)
| ThreadException (const ThreadException &src)
ThreadException & | operator= (const ThreadException &)

## Constructor & Destructor Documentation

ThreadException | ( | log4cxx_status_t | stat | ) |

ThreadException | ( | const LogString & | msg | ) |

ThreadException | ( | const ThreadException & | src | ) |

## Member Function Documentation

ThreadException& operator= | ( | const ThreadException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h